Partial Class Visitors_CharterPartners
    Inherits CharterCMSPage


	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        MyBase.SetTemplate(17)
        Dim item As NonProductItem

    If Not IsPostBack Then

            Dim d As DateTime = CachedControls.getExpireDate()

      If HttpContext.Current.Cache.Item("Template17") Is Nothing Then
        HttpContext.Current.Cache.Insert("Template17", DateTime.Now, Nothing, d, System.TimeSpan.Zero, System.Web.Caching.CacheItemPriority.NotRemovable, Nothing)
      End If

      Response.AddCacheItemDependency("Template17")

      If Application(Request.Url.LocalPath) Is Nothing Then
        Application.Add(Request.Url.LocalPath, "Template17")
      End If

      If Request.QueryString(QueryStringName.NonProductItem) Is Nothing Then
        ltrTitle.Text = String.Empty
        ucLocalNavigation.SubItem2 = NonProductItem.Unspecified
        ucCustomContent.ContentKey = String.Empty
      Else
        item = CType(Request.QueryString(QueryStringName.NonProductItem), NonProductItem)

        Select Case item
          Case NonProductItem.Partners
            ltrTitle.Text = "Channel Partners"
          Case NonProductItem.PartnersEducational
            ltrTitle.Text = "Educational"
          Case NonProductItem.PartnersEntertainment
            ltrTitle.Text = "Entertainment"
          Case NonProductItem.PartnersFamily
            ltrTitle.Text = "Family"
          Case NonProductItem.PartnersLatino
            ltrTitle.Text = "Latino"
          Case NonProductItem.PartnersLifeStyles
            ltrTitle.Text = "Lifestyles"
          Case NonProductItem.PartnersMusic
            ltrTitle.Text = "Music"
          Case NonProductItem.PartnersNews
            ltrTitle.Text = "News"
          Case NonProductItem.PartnersPremium
            ltrTitle.Text = "Premium"
          Case NonProductItem.PartnersSports
            ltrTitle.Text = "Sports"
        End Select

        ucLocalNavigation.SubItem2 = item
        ucCustomContent.ContentKey = item.ToString()
      End If
    End If
	End Sub
End Class
